summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2016-11-01 18:15:14 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2016-11-01 18:30:37 +0100
commite56899d8965743ac68202772c82d6ddc326c7714 (patch)
tree10634373aebd0c703a0f15a81870413f5efe35a6
parentmedia-video/totem: drop unused eclasses (diff)
downloadgentoo-e56899d8965743ac68202772c82d6ddc326c7714.tar.gz
gentoo-e56899d8965743ac68202772c82d6ddc326c7714.tar.bz2
gentoo-e56899d8965743ac68202772c82d6ddc326c7714.zip
app-accessibility/at-spi2-core: version bump 2.20.2 → 2.22.0
Package-Manager: portage-2.3.2
-rw-r--r--app-accessibility/at-spi2-core/Manifest1
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.22.0.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/app-accessibility/at-spi2-core/Manifest b/app-accessibility/at-spi2-core/Manifest
index 57d0bdeb2ce..abe39d6ac0e 100644
--- a/app-accessibility/at-spi2-core/Manifest
+++ b/app-accessibility/at-spi2-core/Manifest
@@ -1,3 +1,4 @@
DIST at-spi2-core-2.16.0.tar.xz 455264 SHA256 1c0b77fb8ce81abbf1d80c0afee9858b3f9229f673b7881995fe0fc16b1a74d0 SHA512 b61cb6dad15e2a6f6cd4788e6b63fed37d0098a56d1417b43aed2ba111a7dd7fccbe7c393f0be794bcaf900f38decbd3974c36e395548000d429086f8717df57 WHIRLPOOL 556c504ba9aef2e4ad2b63e3b4d0417ce24a49fafd45287cf3d669612c2d23058f3e7b373a69a569d63938a0333b62d5c601e8a0f1f4b78d0252bea4b64ede3e
DIST at-spi2-core-2.18.3.tar.xz 451408 SHA256 ada26add94155f97d0f601a20cb7a0e3fd3ba1588c3520b7288316494027d629 SHA512 89abc660b49ca690a027709da4e6ed75d84f6c2dae691a0428057da0514f4c7f1f49b946f19c17c6ea402a0f1c9a236921efedb05865756c71beca29a0fbd6f2 WHIRLPOOL eeff01c9859c6e260ac8de5adf3caa69551523c0247659cc657b1885f175120bad7dc69b47b94c9ad78db14fe44011a6caf973a3b053aed64c1cc99dac863ddf
DIST at-spi2-core-2.20.2.tar.xz 454124 SHA256 88a4de9d43139f13cca531b47b901bc1b56e0ab06ba899126644abd4ac16a143 SHA512 b92eb876ecc1fbd14c042a37d0d781c2b3697ad3e988d3fa2c8894f5ffc269b38a703fee702a1a03d8b37b7c2140a7862cd818c9c7f66bc85bfa776355172d79 WHIRLPOOL 07f99b4b4167875f26952747a8e9fb8ec2cf92898d57a0d4b41420e25d09b8ea7145cea994860959af8ffe78d2ba8fee6900932145ebba9d5047bf832d79617c
+DIST at-spi2-core-2.22.0.tar.xz 449364 SHA256 415ea3af21318308798e098be8b3a17b2f0cf2fe16cecde5ad840cf4e0f2c80a SHA512 f43fde89a47754a6fab80ebecb6c303b50d4829b4b376f363c085841243b30910003bc359ec16fc20f4363253df06b8e0f818b91d96b03c99b29f9a1ab5af118 WHIRLPOOL f1c476c38fee5e157ea62ea37211e9419c708abd465dc74a040ba32a88490f23a614be8ae1a0cc1af005633bf77f2495e45b986d2c6ebeea5ed7c13895a59568
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.22.0.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.22.0.ebuild
new file mode 100644
index 00000000000..58a7f7d622b
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.22.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 multilib-minimal
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="https://wiki.gnome.org/Accessibility"
+
+LICENSE="LGPL-2+"
+SLOT="2"
+IUSE="X +introspection"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
+
+# x11-libs/libSM is needed until upstream #719808 is solved either
+# making the dep unneeded or fixing their configure
+# Only libX11 is optional right now
+RDEPEND="
+ >=dev-libs/glib-2.36:2[${MULTILIB_USEDEP}]
+ >=sys-apps/dbus-1[${MULTILIB_USEDEP}]
+ x11-libs/libSM[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-0.9.6:= )
+ X? (
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}
+ >=dev-util/gtk-doc-am-1.9
+ >=dev-util/intltool-0.40
+ sys-devel/gettext
+ virtual/pkgconfig[${MULTILIB_USEDEP}]
+"
+
+PATCHES=(
+ # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+ "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+)
+
+multilib_src_configure() {
+ # xevie is deprecated/broken since xorg-1.6/1.7
+ ECONF_SOURCE=${S} \
+ gnome2_src_configure \
+ --disable-xevie \
+ $(multilib_native_use_enable introspection) \
+ $(use_enable X x11)
+
+ # work-around gtk-doc out-of-source brokedness
+ if multilib_is_native_abi; then
+ ln -s "${S}"/doc/libatspi/html doc/libatspi/html || die
+ fi
+}
+
+multilib_src_compile() { gnome2_src_compile; }
+multilib_src_install() { gnome2_src_install; }